Google отключает авторизацию в своих сервисах на старых Android

Я уже как-то рассказывал, что настоящая поддержка Android-смартфонов не заканчивается с выходом новых версий операционной системы. Это становится понятно хотя бы по количеству нововведений, которые они содержат. Куда важнее для поддержки – обновление сервисов Google. Они и выходят намного чаще, и новых функций, как правило, несут даже больше, чем несколько годовых обновлений Android, взятых вместе. Особенно круто, что на одних только апдейтах сервисов Google может существовать очень и очень долго. Но всему приходит конец.

Google отключает авторизацию в своих сервисах на старых Android. Google запретит авторизацию в своих сервисах на старых Android-смартфонах. Фото.

Google запретит авторизацию в своих сервисах на старых Android-смартфонах

Google приняла решение ограничить работу своих сервисов на старых Android-смартфонах. Ограничение, о котором идёт речь, заключается не в полной блокировке сервисов, а в запрете авторизации. Впрочем, для большинства пользователей даже такой, на первый взгляд, незначительный запрет будет равносильным полной блокировке сервиса.

Не стоит полностью доверять Google Maps. Они могут быть опасны

Ограничение авторизации от Google вступит в силу 27 сентября этого года и затронет следующие сервисы:

  • Google
  • Gmail
  • YouTube
  • Google Maps

Старые версии Android

Старые версии Android. Ограничения затронул устройства на Android 1.0 — 2.3.7. Фото.

Ограничения затронул устройства на Android 1.0 — 2.3.7

То есть речь идёт не обо всех сервисах поискового гиганта. Многие продолжат работать так же, как работали прежде. Например, тот же Google Play по-прежнему будет активен без дополнительных условий, и пользователи смогут и дальше скачивать софт из магазина приложений, используя свою учётную запись.

Кроме того, запрет авторизации, который Google предусмотрела для владельцев старых смартфонов, коснётся аппаратов только на этих версиях Android:

  • Android 1.0
  • Android 1.1
  • Android 1.5
  • Android 1.6
  • Android 2.0
  • Android 2.2
  • Android 2.3
  • Android 2.3.7

Как Google упростит переход с iOS на Android

Как видите, ограничения ждут только совсем уж древние устройства. Даже самые новые аппараты из списка – на базе Android 2.3.7 – вышли целых 10 лет назад. Так что вряд ли они по-прежнему в ходу у пользователей, а значит, если запрет авторизации в сервисах Google кого-то и коснётся, то эта аудитория будет крайне незначительной.

Поводом для запрета на вход в свои учётные записи со стороны Google стали, как объяснили в компании, соображения безопасности. То есть поисковый гигант не планировал ограничивать возможности старых устройств путём «запланированного устаревания». Просто всё дело в том, что обеспечивать защиту пользовательских аккаунтов Google больше не может.

Поддержка старых смартфонов на Android

Поддержка старых смартфонов на Android. Google запретит только авторизацию в сервисах, но работать они будут так же, как и раньше. Фото.

Google запретит только авторизацию в сервисах, но работать они будут так же, как и раньше

Старые версии Android больше не получают обновлений безопасности, а потому все уязвимости, которые в них обнаруживаются, остаются неисправленными. Дабы не допустить дискредитации пользовательских аккаунтов, в Google решили запретить их использование на наиболее уязвимых устройствах с Android 1.0 – 2.3.7.

Несмотря на то что пользователям будет запрещено проходить авторизацию в приложениях Google, компания не планирует ограничивать их работу. То есть ими можно будет пользоваться и дальше, но без учёта накопленного прогресса, синхронизации данных между устройствами, оформления подписок и других преимуществ.

В Google Play станет так же чисто, как в App Store

Но это ещё не всё. Google решила, что, помимо запрета авторизации в своих сервисах на Android 1.0 – 2.3.7, она перестанет обновлять их и на более новых устройствах. Это ограничение затронет аппараты на базе Android 4.1. – 4.3 Jelly Bean. Со следующего месяца, то есть с сентября, они больше не получат ни одной новой сборки GMS.

Тем не менее, пользоваться сервисами Google и проходить в них авторизацию по-прежнему будет можно. Google считает, что Android Jelly Bean защищена достаточно хорошо, чтобы разрешить пользователям использовать свои аккаунты при работе с её сервисами. Насколько это обоснованно, сказать сложно. Но факт остаётся фактом.

Теги
Лонгриды для вас
6 типов файлов, которые можно удалить с телефона, если не хватает памяти

Рано или поздно любой владелец смартфона сталкивается с тем, что встроенное хранилище, а также установленная SD-карта забиваются под завязку. Возможно, даже облачное хранилище не выручает - чисто технически крайне сложно выцедить все файлы, которые можно переместить туда. Зато вас всегда выручит файловый менеджер телефона: с его помощью в системе всегда можно найти файлы, которые можно смело удалять с телефона и не бояться за его работоспособность. Более того, эти файлы нужно стирать не раз в год, а как можно чаще.

Читать далее
Владельцам Google Pixel 4 стоит задуматься о новом телефоне

Так уж устроен рынок смартфонов, что на нем все какое-то недолговечное. Стоит только купить новый телефон, как проходит время, и он становится уже устаревшим. Выходит новая модель с новыми функциями, про которые со сцены нам говорят что-то вроде ”как вы вообще без этого жили раньше?!”. Даже если функция не столь полезная, то преподносят ее все равно именно так. Но не только из-за выхода новой модели стареет ваш телефон, а еще и из-за некоторых других факторов. Именно по этой причине пользователям популярной модели Google придется задуматься о замене своего телефона на новый.

Читать далее
Лучшая «Погода» для Андроид

Без точного прогноза погоды большинство из нас не выходит из дома. Производители смартфонов давно поняли, что погодное приложение в обязательном порядке должно быть частью оболочки, установленной на каждое устройство. Зачастую такие приложения обладают только базовыми возможностями: демонстрация температуры воздуха и прогноз на несколько часов и дней вперед. Если пользователю хочется больше, чем стандартная информация, то следует установить программы сторонних разработчиков.

Читать далее
Новый комментарий